Bug 915087 - Review Request: nodejs-chrono - Format dates in JavaScript
Summary: Review Request: nodejs-chrono - Format dates in JavaScript
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-24 17:47 UTC by Tom Hughes
Modified: 2013-04-07 00:39 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-07 00:39:19 UTC
misc: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom Hughes 2013-02-24 17:47:38 UTC
Spec URL: http://download.compton.nu/nodejs/nodejs-chrono.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-chrono-1.0.4-1.fc18.src.rpm
Fedora Account System Username: tomh

Description:
Allows formatting of time in a `strftime` style, but with syntax taken
from PHP's date function. It implements pretty much all of the tokens
from PHP's date function, except for B (Swatch internet time) and
e (Content/City timezone identifier). You can escape characters with
a `\` (remember to encode the `\` in a string as well). All other
characters will be printed as they appear in the format string.

Comment 1 Michael S. 2013-02-25 15:41:50 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-chrono-1.0.4-1.fc19.noarch.rpm
nodejs-chrono.noarch: W: spelling-error %description -l en_US strftime -> trimester
nodejs-chrono.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-chrono
nodejs-chrono.noarch: W: spelling-error %description -l en_US strftime -> trimmest
nodejs-chrono.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-chrono (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-chrono:
    nodejs-chrono
    npm(chrono)



MD5-sum check
-------------
http://registry.npmjs.org/chrono/-/chrono-1.0.4.tgz :
  CHECKSUM(SHA256) this package     : f2a2bafe4d007b7ed5eebfe2f46c62f4c08021009eeb8967abbd0674580d0e2c
  CHECKSUM(SHA256) upstream package : f2a2bafe4d007b7ed5eebfe2f46c62f4c08021009eeb8967abbd0674580d0e2c


Generated by fedora-review 0.4.0 (cf29f98) last change: 2013-02-08
Buildroot used: fedora-rawhide-x86_64
Command line :./try-fedora-review -m fedora-rawhide-x86_64 -b 915087

Comment 2 Tom Hughes 2013-02-25 15:56:51 UTC
New Package SCM Request
=======================
Package Name: nodejs-chrono
Short Description: Format dates in JavaScript
Owners: tomh
Branches: f18
InitialCC:

Comment 3 Gwyn Ciesla 2013-02-25 23:06:24 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2013-02-26 09:19:13 UTC
nodejs-chrono-1.0.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-chrono-1.0.4-1.fc18

Comment 5 Fedora Update System 2013-02-27 02:25:37 UTC
nodejs-chrono-1.0.4-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 6 Fedora Update System 2013-03-04 22:29:04 UTC
nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 7 Fedora Update System 2013-03-05 23:22:41 UTC
nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-xml2js-0.2.6-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 8 Fedora Update System 2013-03-06 23:01:08 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 9 Fedora Update System 2013-03-10 00:55:27 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-srs-0.2.20-1.fc18, nodejs-sqlite3-2.1.5-3.fc18, nodejs-zipfile-0.3.4-2.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 10 Fedora Update System 2013-03-12 08:31:24 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-srs-0.2.20-1.fc18, nodejs-sqlite3-2.1.5-3.fc18, nodejs-zipfile-0.3.4-2.fc18, nodejs-millstone-0.5.15-1.fc18, nodejs-oauth-0.9.10-1.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 11 Fedora Update System 2013-03-12 23:29:47 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-srs-0.2.20-1.fc18, nodejs-sqlite3-2.1.5-3.fc18, nodejs-zipfile-0.3.4-2.fc18, nodejs-millstone-0.5.15-1.fc18, nodejs-oauth-0.9.10-1.fc18, carto-0.9.4-1.fc18, nodejs-passport-oauth-0.1.14-3.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 12 Fedora Update System 2013-03-15 00:06:26 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-oauth-0.9.10-1.fc18, carto-0.9.4-1.fc18, nodejs-passport-oauth-0.1.14-3.fc18, nodejs-millstone-0.5.15-2.fc18, nodejs-srs-0.2.20-2.fc18, nodejs-sqlite3-2.1.5-4.fc18, nodejs-zipfile-0.3.4-3.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 13 Fedora Update System 2013-04-07 00:39:21 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-oauth-0.9.10-1.fc18, carto-0.9.4-1.fc18, nodejs-passport-oauth-0.1.14-3.fc18, nodejs-millstone-0.5.15-2.fc18, nodejs-srs-0.2.20-2.fc18, nodejs-sqlite3-2.1.5-4.fc18, nodejs-zipfile-0.3.4-3.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.